:a
    %tishi1% 刷入的boot.img
    set img=
    set /p img=%t1%
    if not defined img ( echo - 未选择镜像文件，刷个鸡儿 & goto a )
    if not exist %img% ( echo - 选择的镜像不存在，刷个鸡儿 & goto a )


:fboot
    set gn=
    echo.
    echo - 0.boot      1.boot_a      2.boot_b      3.boot_a和boot_b
    echo.
    echo.
    set /p gn=%t2%
    if not defined gn ( goto fboot )
    if "%gn%"=="0" ( fastboot flash boot %img% & goto jixu )
    if "%gn%"=="1" ( fastboot flash boot_a %img% & goto jixu )
    if "%gn%"=="2" ( fastboot flash boot_b %img% & goto jixu )
    if "%gn%"=="3" ( fastboot flash boot_ab %img% & goto jixu )
    echo - 输入错误请重新输入
    goto fboot


:jixu
    %fcq%
